Bug 595934 - ClanLib not properly detected by openalchemist configure on ppc
ClanLib not properly detected by openalchemist configure on ppc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ClanLib (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-25 19:17 EDT by Xavier Bachelot
Modified: 2010-12-03 09:22 EST (History)
1 user (show)

See Also:
Fixed In Version: ClanLib-2.1.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:22:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2010-05-25 19:17:03 EDT
Description of problem:
ClanLib is not properly detected by configure on ppc. Works fine locally on i386. The exact same spec builds also fine for F-13 and F-14, where ppc is a secondary arch.

Version-Release number of selected component (if applicable):
ClanLib-devel        ppc    2.1.0-1.fc12

How reproducible:
always.

Steps to Reproduce:
1. build openalchemist from F-12 branch
2. wait for koji to fail the build
3.
  
Actual results:
Build fails.

Expected results:
Build succeed.

Additional info:
https://koji.fedoraproject.org/koji/getfile?taskID=2209566&name=root.log

DEBUG util.py:256:  Installed:
DEBUG util.py:256:    ClanLib-devel.ppc 0:2.1.0-1.fc12

https://koji.fedoraproject.org/koji/getfile?taskID=2209566&name=build.log

checking for clanlib... no
This program needs ClanLib >= 2.0 (clanCore, clanApp, clanDisplay, clanGL, clanSound, clanVorbis)

I'm still unsure if the issue comes from ClanLib or openalchemist, but I'd rather open a bug to not forget about it. openalchemist seems to be the only soft in the repos using ClanLib 2 at the moment.
Comment 1 Xavier Bachelot 2010-05-27 04:48:32 EDT
I took another look, ClanLib.ppc doesn't provide clanSound and clanVorbis, which openalchemist checks for. I don't see anything specific to the ppc arch in the ClanLib spec, so at first glance I don't know why there is such a difference.
Comment 2 Hans de Goede 2010-05-27 05:49:25 EDT
(In reply to comment #1)
> I took another look, ClanLib.ppc doesn't provide clanSound and clanVorbis,
> which openalchemist checks for. I don't see anything specific to the ppc arch
> in the ClanLib spec, so at first glance I don't know why there is such a
> difference.    

Most likely clanlib for some reasons disables these during build time when building on ppc. Do you know where I can find clanlib ppc buildlogs ?
Comment 3 Xavier Bachelot 2010-05-27 07:18:29 EDT
I just did a koji scratch build and was about to take a look after I drive the children to school : http://koji.fedoraproject.org/koji/taskinfo?taskID=2212211
Comment 4 Hans de Goede 2010-05-29 09:19:23 EDT
I've taken a look at the build logs and the issue is that currently ClanSound uses sse2 assembler, with no C-alternative and thus it gets disabled on ppc.

I'm working on writing c-code to replace the sse2 code. The other missing clanlib parts are not compiled because clansound is not compiled.

Note that clangdi has the same issue, but that is not needed by openalchemist.

BTW there is one other user of ClanLib-2.x, methane.

Regards,

Hans
Comment 5 Xavier Bachelot 2010-05-29 17:29:35 EDT
(In reply to comment #4)
> I've taken a look at the build logs and the issue is that currently ClanSound
> uses sse2 assembler, with no C-alternative and thus it gets disabled on ppc.
> 
I came to the same conclusion.

> I'm working on writing c-code to replace the sse2 code. The other missing
> clanlib parts are not compiled because clansound is not compiled.
> 
I was about to try to get in touch with the ClanLib devs about that, but if you're already working on it, then I'll just wait for an updated ClanLib to appear in the F-12 repo. I'll ask the openalchemist dev to add a switch to disable sound, if possible.
Comment 6 Fedora Update System 2010-05-30 06:01:09 EDT
ClanLib-2.1.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ClanLib-2.1.1-1.fc13
Comment 7 Fedora Update System 2010-05-30 06:11:56 EDT
ClanLib-2.1.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ClanLib-2.1.1-1.fc12
Comment 8 Hans de Goede 2010-05-30 07:13:17 EDT
Hi,

As shown by the update system messages I've done a new version of ClanLib which does contain ClanSound and friends on ppc.

Note that clanGDI is still missing, but I take it from your initial list that openalchemist does not use that. In my experience clanGL does not work well with FOSS drivers (with mesa) so it might be a good idea to see if you can patch clanGDI support into openalchemist, although we then have to revisit the PPC issue.

I've also posted my patches upstream:
http://www.rtsoft.com/forums/showthread.php?p=13312

For an example patch of how to add support for a different rendering method (such as clanGDI), see:
http://cvs.fedoraproject.org/viewvc/devel/methane/methane-1.5.0-opengl1.patch?revision=1.1&view=markup

Regards,

Hans
Comment 9 Fedora Update System 2010-05-31 14:22:47 EDT
ClanLib-2.1.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-05-31 14:28:40 EDT
ClanLib-2.1.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Xavier Bachelot 2010-05-31 19:24:45 EDT
Hi Hans,

(In reply to comment #8)
> Hi,
> 
> As shown by the update system messages I've done a new version of ClanLib which
> does contain ClanSound and friends on ppc.
> 
Thanks a lot, the build goes further now, but see below.

> Note that clanGDI is still missing, but I take it from your initial list that
> openalchemist does not use that. In my experience clanGL does not work well
> with FOSS drivers (with mesa) so it might be a good idea to see if you can
> patch clanGDI support into openalchemist, although we then have to revisit the
> PPC issue.
> 
openalchemist actually makes use of ClanGDI, although it doesn't test for it. The build still fails on PPC.
https://koji.fedoraproject.org/koji/getfile?taskID=2220642&name=build.log

Regards,
Xavier
Comment 12 Hans de Goede 2010-06-01 03:35:26 EDT
(In reply to comment #11)
> openalchemist actually makes use of ClanGDI, although it doesn't test for it.
> The build still fails on PPC.
> https://koji.fedoraproject.org/koji/getfile?taskID=2220642&name=build.log
> 

Ok, well that is both good and bad news then, re-opening this.
Comment 13 Bug Zapper 2010-11-03 10:12:00 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-12-03 09:22:23 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.